PATCH
/v1/actions/{actionId}/triggers/{triggerId}betaapiKeyworkspace
When to use
Pause, resume, or change the schedule or input of a trigger.
For agents
Config replaces the whole config for the trigger type. Requires invocation permission. Changing config or enabling repeats the creation access and input checks, so fix the cause before sending isEnabled: true; enabling clears disabledReason. Send isEnabled: false to pause.
Example
import { PermuteClient } from '@permute/sdk';
const orgClient = new PermuteClient({
apiKey: process.env.PERMUTE_API_KEY!,
});
const client = orgClient.withWorkspace(process.env.PERMUTE_WORKSPACE_ID!);
const result = await client.actionTriggers.update('actn_abcdefghijklmnopqrstuvwx', 'trig_abcdefghijklmnopqrstuvwx', {
"config": {
"schedule": {
"type": "daily",
"hour": 7,
"minute": 30
},
"input": {
"region": "EMEA"
}
}
});Request body
{
"config": {
"schedule": {
"type": "daily",
"hour": 7,
"minute": 30
},
"input": {
"region": "EMEA"
}
}
}Response
{
"data": {
"id": "trig_abcdefghijklmnopqrstuvwx",
"actionId": "actn_abcdefghijklmnopqrstuvwx",
"workspaceId": "wksp_finance123",
"type": "schedule",
"config": {
"schedule": {
"type": "daily",
"hour": 9,
"minute": 0
},
"input": {
"region": "EMEA"
}
},
"isEnabled": true,
"nextRunAt": "2026-10-03T09:00:00.000Z",
"disabledReason": null,
"createdAt": "2026-10-02T12:00:00.000Z",
"updatedAt": "2026-10-02T12:00:00.000Z",
"lastRun": null
}
}